<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginBottom="@dimen/dp_1">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:paddingTop="@dimen/dp_8"
        android:paddingBottom="@dimen/dp_8">

        <ImageView
            android:id="@+id/iv_food_ingredient_img"
            android:layout_width="@dimen/dp_77"
            android:layout_height="@dimen/dp_77"
            android:layout_marginLeft="@dimen/dp_6" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:layout_marginRight="@dimen/dp_5"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_item_name"
                    style="@style/Food_Ingredient_Info_TextStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    tools:text="巴西肥牛" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_food_item_supplier_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:textColor="@color/black"
                    android:textSize="@dimen/dp_13"
                    android:textStyle="bold"
                    tools:text="海鮮天地" />
            </LinearLayout>

            <TextView
                android:id="@+id/tv_food_item_no"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/dp_10"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_12"
                tools:text="SP001" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_item_unit"
                    style="@style/Food_Ingredient_Info_TextStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textSize="@dimen/dp_12"
                    tools:text="3KG/盒" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="15/30"
                    android:textColor="@color/color_3c"
                    android:textSize="@dimen/dp_12"
                    android:textStyle="bold"
                    android:visibility="gone" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_food_item_price"
                    style="@style/Food_Ingredient_Info_TextStyle"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textColor="@color/required_color"
                    android:textStyle="bold"
                    tools:text="$100.00" />

                <LinearLayout
                    android:id="@+id/layout_operation_food_num"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:divider="@color/color_3c"
                    android:gravity="bottom"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_commodity_edit"
                        android:layout_width="@dimen/dp_26"
                        android:layout_height="@dimen/dp_26"
                        android:padding="@dimen/dp_3"
                        android:src="@drawable/ic_blue_edit"
                        android:visibility="gone" />

                    <ImageView
                        android:id="@+id/iv_commodity_delete"
                        android:layout_width="@dimen/dp_26"
                        android:layout_height="@dimen/dp_26"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_5"
                        android:padding="@dimen/dp_3"
                        android:src="@drawable/ic_red_delete"
                        android:visibility="gone" />

                    <com.qmuiteam.qmui.layout.QMUIButton
                        android:id="@+id/btn_food_operation_sub"
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:background="@drawable/ic_circle_gray_sub" />

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/ed_food_ingredient_number"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_4"
                        android:layout_marginRight="@dimen/dp_4"
                        android:background="@null"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="center"
                        android:inputType="number"
                        android:maxLength="4"
                        android:maxLines="1"
                        android:minWidth="@dimen/dp_30"
                        android:textColor="@color/black"
                        android:textCursorDrawable="@drawable/cursor_theme"
                        android:textSize="@dimen/dp_20"
                        tools:text="10" />

                    <com.qmuiteam.qmui.layout.QMUIButton
                        android:id="@+id/btn_food_operation_add"
                        android:layout_width="@dimen/dp_24"
                        android:layout_height="@dimen/dp_24"
                        android:background="@drawable/ic_circle_theme_add" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</FrameLayout>